package edu.nyu.scps.triangle;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Path;
import android.view.View;

public class TriangleView extends View {

	public TriangleView(Context context) {
		super(context);
	}

	@Override
	protected void onDraw(Canvas canvas) {
		canvas.drawColor(Color.WHITE);	//background

		final int width = getWidth();
		final int height = getHeight();
		final int min = Math.min(width, height);
		final float length = min * 5.0f / 8.0f;

		//Put origin at the triangle's right angle.
		canvas.translate((width + length) / 2, (height + length) / 2);

		//Make the Y axis point up.
		canvas.scale(1, -1);

		//Create the path.
		Path path = new Path();
		path.moveTo(0, 0);
		path.lineTo(0, length);		//upper right vertex
		path.lineTo(-length, 0);	//lower left vertex
		path.close();				//back to the starting point

		Paint paint = new Paint(Paint.ANTI_ALIAS_FLAG);
		paint.setColor(Color.RED);
		paint.setStyle(Paint.Style.FILL);
		canvas.drawPath(path, paint);

		paint.setColor(Color.BLUE);
		paint.setStyle(Paint.Style.STROKE);
		paint.setStrokeWidth(length / 25);	//zero for hairline
		canvas.drawPath(path, paint);
	}
}
